Get income document

Credentials

Retrieve a specific income document by ID. Documents the seller created in the Keep app are returned too.

Parameters

Name In Type Required Description
id path string yes Document ID

Code samples

curl

curl -X GET 'https://<partner_domain>.keep.co.il/seller/api/documents/income/<id>' \
  -H 'Authorization: Bearer <YOUR_TOKEN>'

Node.js

const response = await fetch("https://<partner_domain>.keep.co.il/seller/api/documents/income/<id>", {
  method: "GET",
  headers: {
    "Authorization": "Bearer <YOUR_TOKEN>",
  },
});

console.log(await response.text());

Python

import requests

response = requests.get(
    "https://<partner_domain>.keep.co.il/seller/api/documents/income/<id>",
    headers={
        "Authorization": "Bearer <YOUR_TOKEN>",
    },
)

print(response.text)

PHP

<?php

$ch = curl_init('https://<partner_domain>.keep.co.il/seller/api/documents/income/<id>');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer <YOUR_TOKEN>',
    ],
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — Successful response. When no document matches, payload is null. (success)

Field Type Description
payload object
payload.id string
payload.sellerId string
payload.type string
payload.clientId string
payload.dueDate string
payload.docValueDate string
payload.title string
payload.docLang string
payload.items array Document line items: itemId, quantity, itemNetPrice, itemTotalPrice, itemCurrency, isNoItemVat. The item name is not returned.
payload.currency string
payload.discount number
payload.totalWithoutVatAmount number
payload.vatAmount number
payload.totalAmount number
payload.totalPaid number
payload.originTaxDeduction number
payload.cash object Cash payment details
payload.cc object Credit card payment: date and amount.
payload.bank-transfer object Bank transfer payment details
payload.cheque object Cheque payment details
payload.e-wallet object E-wallet payment details
payload.comment string
payload.url string
payload.bankDetails object Bank account details for payment
payload.docRegulationId string
payload.payment object Payment link settings
payload.createdAt string

400 — Bad Request. id is not a UUID. (error)

401 — Unauthorized (error)

Field Type Description
statusCode integer HTTP status code
message string Error message(s)
error string Error type
{
  "statusCode": 401,
  "message": "Unauthorized",
  "error": "Unauthorized"
}